Package uk.ac.starlink.topcat.interop

## Interface ImageViewer

-     public interface ImageViewer

  Defines the function of viewing an image.
  Since:
    21 Dec 2007
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `viewImage​(java.lang.String label, java.lang.String location)` | Consume an image somehow.

- - ### Method Detail

    - #### viewImage

          boolean viewImage​(java.lang.String label,
                            java.lang.String location)

      Consume an image somehow.
      Parameters:
        `label` - image label, possible used as window title
        `location` - URL giving location of image
      Returns:
        true if operation apparently completed successfully

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.